Workflows - Get
ワークフローを取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}?api-version=2016-06-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string |
リソース グループ名。 |
|
subscription
|
path | True |
string |
サブスクリプション ID。 |
|
workflow
|
path | True |
string |
ワークフロー名。 |
|
api-version
|
query | True |
string |
API のバージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Get a workflow
要求のサンプル
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow?api-version=2016-06-01
応答のサンプル
{
"properties": {
"provisioningState": "Succeeded",
"createdTime": "2018-04-25T01:39:21.4365247Z",
"changedTime": "2018-08-09T22:54:54.3533634Z",
"state": "Enabled",
"version": "08586677515911718341",
"accessEndpoint": "http://tempuri.org",
"integrationAccount": {
"name": "test-integration-account",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
"type": "Microsoft.Logic/integrationAccounts"
},
"definition": {
"$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
"contentVersion": "1.0.0.0",
"parameters": {},
"triggers": {},
"actions": {},
"outputs": {}
},
"parameters": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow",
"name": "test-workflow",
"type": "Microsoft.Logic/workflows",
"location": "brazilsouth",
"tags": {}
}
定義
| 名前 | 説明 |
|---|---|
| Object | |
|
Parameter |
|
|
Resource |
リソース参照。 |
| Sku |
SKU の種類。 |
|
Sku |
SKU 名。 |
| Workflow |
ワークフローの種類。 |
|
Workflow |
ワークフロー パラメーター。 |
|
Workflow |
|
|
Workflow |
Object
ParameterType
| 値 | 説明 |
|---|---|
| NotSpecified | |
| String | |
| SecureString | |
| Int | |
| Float | |
| Bool | |
| Array | |
| Object | |
| SecureObject |
ResourceReference
リソース参照。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| name |
string |
リソース名を取得します。 |
| type |
string |
リソースの種類を取得します。 |
Sku
SKU の種類。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
名前。 |
|
| plan |
プランへの参照。 |
SkuName
SKU 名。
| 値 | 説明 |
|---|---|
| NotSpecified | |
| Free | |
| Shared | |
| Basic | |
| Standard | |
| Premium |
Workflow
ワークフローの種類。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| location |
string |
リソースの場所。 |
| name |
string |
リソース名を取得します。 |
| properties.accessEndpoint |
string |
アクセス エンドポイントを取得します。 |
| properties.changedTime |
string (date-time) |
変更された時刻を取得します。 |
| properties.createdTime |
string (date-time) |
作成された時刻を取得します。 |
| properties.definition |
定義。 Azure Logic Appsのワークフロー定義言語のスキーマ リファレンス |
|
| properties.integrationAccount |
統合アカウント。 |
|
| properties.parameters |
<string,
Workflow |
パラメーター。 |
| properties.provisioningState |
プロビジョニング状態を取得します。 |
|
| properties.sku |
SKU。 |
|
| properties.state |
状態。 |
|
| properties.version |
string |
バージョンを取得します。 |
| tags |
object |
リソース タグ。 |
| type |
string |
リソースの種類を取得します。 |
WorkflowParameter
ワークフロー パラメーター。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
説明。 |
| metadata |
メタデータ。 |
|
| type |
型。 |
|
| value |
値。 |
WorkflowProvisioningState
| 値 | 説明 |
|---|---|
| NotSpecified | |
| Accepted | |
| Running | |
| Ready | |
| Creating | |
| Created | |
| Deleting | |
| Deleted | |
| Canceled | |
| Failed | |
| Succeeded | |
| Moving | |
| Updating | |
| Registering | |
| Registered | |
| Unregistering | |
| Unregistered | |
| Completed |
WorkflowState
| 値 | 説明 |
|---|---|
| NotSpecified | |
| Completed | |
| Enabled | |
| Disabled | |
| Deleted | |
| Suspended |